<?php


######################################################################
# Fanzinweb 1.0 : Un pequeño sistema de publicación de artículos
# ==============================================================
#
# Copyright (c) 2001 - Manuel J. Román Estrade (manje@tpn3.com)
#
# Este programa es software libre. Puede redistribuirlo y/o
# modificarlo bajo los términos de la Licencia Pública General
# de GNU.
#
# Este programa se distribuye con la esperanza de que sea útil, pero
# SIN NINGUNA GARANTÍA, incluso sin la garantía MERCANTIL implícita
# o sin garantizar la CONVENIENCIA PARA UN PROPÓSITO PARTICULAR. Véase
# la Licencia Pública General de GNU para más detalles.
# 
# Debería haber recibido una copia de la Licencia Pública General junto
# con este programa.
#
# This program is free software. You can redistribute it and/or modify
# it under the terms of the GNU General Public License.
######################################################################



  require("config.php");



  if (($admin_user == $id ) && ($admin_pwd == $pwd)) {
    inicio();
    echo "<form action=\"adminautores.php\" method=post>";
    idpwd();
    conectar();
    if ($opcion == "Administrar autores") {
      $con="SELECT id,nombre from autores";
      $tmp=mysql_query($con);
      echo "<input type=hidden name=opcion value=\"autor\">";
      while ($row = mysql_fetch_array($tmp)) {
        $ida = $row["id"];
        $nombre = $row["nombre"];
        echo "<br><b>$ida</b> - $nombre <input type=submit name=autor value=\"$ida\">";
      }
      echo "<p>Nuevo<input type=text name=idtext><input type=submit name=opcion value=nuevo>";
    } 
    if (($opcion == "autor") || ($opcion == "actualizartemas")) {
      $con="SELECT * from autores WHERE id = \"$autor\" ";
      $tmp=mysql_query($con);
      $row = mysql_fetch_array($tmp);
      $nombre = $row["nombre"];
      $ct = $row["pwd"];
      $mail = $row["email"];
      echo "<br>Identificador - $autor";
      echo "<input type=hidden name=autor value=\"$autor\">";
      echo "<br>Contraseña - <input type=password name=ct value=\"$ct\">";
      echo "<br>Contraseña - <input type=password name=ctb value=\"$ct\">";
      echo "<br>Nombre - <input type=text name=nombre value=\"$nombre\">";
      echo "<br>email - <input type=text name=mail value=\"$mail\">";
      echo "<p><input type=submit name=opcion value=modificar>";
      $con="SELECT * FROM temas ";
      $tmp=mysql_query($con);
      while ($row = mysql_fetch_array($tmp)) {
        if ($opcion == "actualizartemas") {
          echo "actualizando";
          if ($HTTP_POST_VARS[$row["id"]]) {
            $con = "INSERT INTO escritores VALUES " .
             " ( \"$autor\" , " . $row["id"] . " )   ";
            $tmpb=mysql_query($con);
          } else {
            $con = "DELETE FROM escritores WHERE " .
             " autor =  \"$autor\" AND tema = " . $row["id"] . "   ";
            $tmpb=mysql_query($con);
          }
        }
        $con=" SELECT * FROM escritores " .
             " WHERE autor=\"$autor\" AND tema=" . $row["id"] ."  ";
        $tmpb=mysql_query($con);
        if (mysql_num_rows($tmpb)==0) {
          $ch = " ";
        } else {
          $ch = "checked";
        }
          echo "<br><input type=checkbox $ch name=" . $row["id"] . ">" . $row["nombre"];
      }
      echo "<p><input type=submit name=opcion value=actualizartemas>";
      echo "<p><input type=submit name=opcion value=borrar>";
      echo "\n<p><input type=submit name=opcion value=\"Administrar autores\">";
    }
    if ($opcion == "modificar") {
      if ($ct == $ctb) {
        $con = " UPDATE autores SET " . 
             " pwd = \"$ct\" , " .
             " nombre = \"$nombre\" , " .
             " email = \"$mail\" WHERE id = \"$autor\" ";
        $tmp=mysql_query($con);
        echo "<p><input type=submit name=opcion value=\"Administrar autores\">";
      } else { echo "<b>No coinciden las contraseñas</b>"; }
    }
    if ($opcion == "borrar") {
      $con = " DELETE FROM autores WHERE id = \"$autor\" ";
      $tmp=mysql_query($con);
      echo "<p><input type=submit name=opcion value=\"Administrar autores\">";
    }
    if ($opcion =="nuevo") {
      $con = "INSERT INTO autores VALUES " .
             " ( \"$idtext\" , \"$idtext\" , \"$idtext\" , \"$idtext\" )   ";
      $tmp=mysql_query($con);
      echo "<br><b>Nuevo autor creado con el mismo password que el nombre de usuario</b>, pulse en el botón para editarlo - 
      <input type=hidden name=autor value=\"$idtext\">
      <input type=submit name=opcion value=\"autor\">";
    }
    echo "</form>";
    echo "<hr><form action=\"admin.php\" method=post>";
    idpwd();
    echo "<input type=submit value=\"Administracion\" name=opcion>";
    echo "</form>";
    final();
  } else {
    login_admin();
  }


?>